# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Fri May 12 12:49:06 2023
# ------------------------------------------------

package:
  name: htstream
  version: 1.3.3
source:
  sha256: 1cccafd926615877a8b48cdd8efc118ad90289b378d86fd9c3c8368011419f4c
  url: https://github.com/s4hts/HTStream/archive/v1.3.3.tar.gz
build:
  number: '3'
  string: h39f6147_3
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_13
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_13
    - gxx_impl_linux-64 10.4.0 h5231bdf_19
    - gxx_linux-64 10.4.0 h6e491c6_13
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-devel_linux-64 10.4.0 hd38fd1e_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - boost 1.74.0 py310h7c3ba0c_5
    - boost-cpp 1.74.0 h75c5d50_8
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2023.5.7 hbcca054_0
    - cmake 3.26.3 h077f3f9_0
    - expat 2.5.0 hcb278e6_1
    - icu 70.1 h27087fc_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libblas 3.9.0 16_linux64_openblas
    - libcblas 3.9.0 16_linux64_openblas
    - libcurl 8.0.1 h588be90_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgfortran-ng 12.2.0 h69a702a_19
    - libgfortran5 12.2.0 h337968e_19
    - libgomp 12.2.0 h65d4601_19
    - liblapack 3.9.0 16_linux64_openblas
    - libnghttp2 1.52.0 h61bc06f_0
    - libnsl 2.0.0 h7f98852_0
    - libopenblas 0.3.21 pthreads_h78a6416_3
    - libsqlite 3.41.2 h2797004_1
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuuid 2.38.1 h0b41bf4_0
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - numpy 1.24.3 py310ha4c1d20_0
    - openssl 3.1.0 hd590300_3
    - pip 23.1.2 pyhd8ed1ab_0
    - python 3.10.11 he550d4f_0_cpython
    - python_abi 3.10 3_cp310
    - readline 8.2 h8228510_1
    - rhash 1.4.3 h166bdaf_0
    - setuptools 67.7.2 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2023c h71feb2d_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  run:
    - boost >=1.74.0,<1.74.1.0a0
    - bzip2 >=1.0.8,<2.0a0
    - bzip2 >=1.0.8,<2.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
    - xz >=5.2.6,<5.3.0a0
    - xz >=5.2.6,<5.3.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - hts_AdapterTrimmer --help
    - hts_CutTrim --help
    - hts_LengthFilter --help
    - hts_NTrimmer --help
    - hts_Overlapper --help
    - hts_PolyATTrim --help
    - hts_Primers --help
    - hts_QWindowTrim --help
    - hts_SeqScreener --help
    - hts_Stats --help
    - hts_SuperDeduper --help
about:
  home: https://s4hts.github.io/HTStream/
  license: Apache 2.0
  license_family: Apache
  license_file: LICENSE
  summary: 'HTStream is a quality control and processing pipeline for High Throughput
    Sequencing data.

    The difference between HTStream and other tools is that HTStream uses a tab delimited
    fastq format that allows for streaming from application to application.

    This streaming creates some awesome efficiencies when processing HTS data and
    makes it fully interoperable with other standard Linux tools.

    '
extra:
  copy_test_source_files: true
  final: true
